package com.yc.ship.module.resource;

import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.product.api.dto.SupplierRespDTO;
import com.yc.ship.module.resource.api.dto.CheckMachineDTO;
import io.swagger.v3.oas.annotations.tags.Tag;

@Tag(name = "API 服务 - 订单")
public interface ResourceApi {


    CommonResult<SupplierRespDTO> getSupplierById(Long supplierId);

    CommonResult<?> getCheckMachineInfo(Integer siteType,String machineId);

    CommonResult<?> getAllRouteList();


    CommonResult<CheckMachineDTO> getCheckMachine(Integer type, String machineId, Long tenantId);
}
